<?xml version="1.0" encoding="utf-8" standalone="yes"?>
<rss version="2.0" xmlns:atom="http://www.w3.org/2005/Atom">
  <channel>
    <title>Customers Overview on Enterprise</title>
    <link>https://docs.au.xarios.cloud/enterprise-portal/en-gb/api/reference/accounts/customers/</link>
    <description>Recent content in Customers Overview on Enterprise</description>
    <generator>Hugo -- gohugo.io</generator><atom:link href="https://docs.au.xarios.cloud/enterprise-portal/en-gb/api/reference/accounts/customers/index.xml" rel="self" type="application/rss+xml" />
    <item>
      <title>Get All (Customers of Reseller)</title>
      <link>https://docs.au.xarios.cloud/enterprise-portal/en-gb/api/reference/accounts/customers/customersgetall/</link>
      <pubDate>Mon, 01 Jan 0001 00:00:00 +0000</pubDate>
      
      <guid>https://docs.au.xarios.cloud/enterprise-portal/en-gb/api/reference/accounts/customers/customersgetall/</guid>
      <description>Get All (Customers of Reseller)#Gets all Customers for a Reseller
 GET /v1.0/accounts/{ACCOUNT_TENANT_ID}/customers?pageIndex={pageIndex}&amp;amp;pageSize={pageSize}&amp;amp;filter={filter}
    Parameters Description     pageIndex 0 based index to allow querying of pages   pageSize Page size to be returned by the request. Max 1,000   filter Optional filter parameter to search for customers by &#39;name&#39; and &#39;reference&#39; fields. A &#39;Contains&#39; search is performed on any string provided.</description>
    </item>
    
    <item>
      <title>Get Customer</title>
      <link>https://docs.au.xarios.cloud/enterprise-portal/en-gb/api/reference/accounts/customers/customersgetcustomer/</link>
      <pubDate>Mon, 01 Jan 0001 00:00:00 +0000</pubDate>
      
      <guid>https://docs.au.xarios.cloud/enterprise-portal/en-gb/api/reference/accounts/customers/customersgetcustomer/</guid>
      <description>Get Customer#Gets an existing Customer
 GET /v1.0/accounts/{ACCOUNT_TENANT_ID}/customers/{CUSTOMER_TENANT_ID}
 Example#This request will get the specific Customer tenant.
Request#GET &amp;lt;https://api.au.myreports.cloud/api/v1.0/accounts/{ACCOUNT_TENANT_ID}/customers/{CUSTOMER_TENANT_ID}&amp;gt; HTTP/1.1 Authorisation: Bearer {TOKEN} Response#HTTP/1.1 200 OK Content-Type: application/json; charset=utf-8 Content-Length: xx { &amp;#34;data&amp;#34;: { &amp;#34;id&amp;#34;: &amp;#34;{CUSTOMER_TENANT_ID_1}&amp;#34;, &amp;#34;name&amp;#34;: &amp;#34;Customer 1&amp;#34;, &amp;#34;description&amp;#34;: &amp;#34;This is Customer 1&amp;#34;, &amp;#34;enabled&amp;#34;: true, &amp;#34;parentTenantId&amp;#34;: &amp;#34;{ACCOUNT_TENANT_ID}&amp;#34;, &amp;#34;reference&amp;#34;: &amp;#34;customer reference 1&amp;#34;, &amp;#34;dateCreated&amp;#34;: &amp;#34;2019-01-01T09:00:00.000&amp;#34; }, &amp;#34;status&amp;#34;: &amp;#34;success&amp;#34;, &amp;#34;timestamp&amp;#34;: &amp;#34;2019-01-01T10:00:00.</description>
    </item>
    
    <item>
      <title>Create Customer</title>
      <link>https://docs.au.xarios.cloud/enterprise-portal/en-gb/api/reference/accounts/customers/customerspost/</link>
      <pubDate>Mon, 01 Jan 0001 00:00:00 +0000</pubDate>
      
      <guid>https://docs.au.xarios.cloud/enterprise-portal/en-gb/api/reference/accounts/customers/customerspost/</guid>
      <description>Create Customer#Creates a new Customer tenant
 POST /v1.0/accounts/{ACCOUNT_TENANT_ID}/customers
 Example#This request will create a new Customer with the following details:
 Name: &amp;quot;New customer&amp;quot; Description: &amp;quot;This is my new customer&amp;quot; Reference: &amp;quot;ABC00001&amp;quot; Enabled: false TimeZone : &amp;quot;America/Los_Angeles&amp;quot;, CountryCode: &amp;quot;US&amp;quot; PbxConnectionProfile  Crossbar Rest Api: &amp;quot;https://hostrest&amp;quot; Blackhole Websocket Api: &amp;quot;wss//:hostwebsocket&amp;quot; ~.pbx.kazoo.name.~ AccountId: &amp;quot;accountid&amp;quot; ~.pbx.kazoo.name.~ Api Key: &amp;quot;apikey&amp;quot; monitorSubAccounts: False   sendNewUserEmail: False sendConnectWelcomeEmail: False TrialDuration: &amp;quot;0&amp;quot;  Request#POST &amp;lt;https://api.</description>
    </item>
    
    <item>
      <title>Patch Customer</title>
      <link>https://docs.au.xarios.cloud/enterprise-portal/en-gb/api/reference/accounts/customers/customerspatch/</link>
      <pubDate>Mon, 01 Jan 0001 00:00:00 +0000</pubDate>
      
      <guid>https://docs.au.xarios.cloud/enterprise-portal/en-gb/api/reference/accounts/customers/customerspatch/</guid>
      <description>Patch Customer#Updates a specific set of properties of a Customer. This uses the JSON Patch format for any changes.
 PATCH /v1.0/accounts/{ACCOUNT_TENANT_ID}/customers/{CUSTOMER_TENANT_ID}
 Example#This request will update the Api Key of the PBX connection and enable it.
Request#PATCH &amp;lt;https://api.au.myreports.cloud/api/v1.0/accounts/{ACCOUNT_TENANT_ID}/customers/{CUSTOMER_TENANT_ID}/&amp;gt; HTTP/1.1 Content-Type: application/json accept-charges: true Authorisation: Bearer {TOKEN} Connection: keep-alive [{ &amp;#34;op&amp;#34;: &amp;#34;replace&amp;#34;, &amp;#34;path&amp;#34;: &amp;#34;/enabled&amp;#34;, &amp;#34;value&amp;#34;: false }, { &amp;#34;op&amp;#34;: &amp;#34;replace&amp;#34;, &amp;#34;path&amp;#34;: &amp;#34;/pbxConnectionProfile/apiKey&amp;#34;, &amp;#34;value&amp;#34;: &amp;#34;newapikey&amp;#34; } ][{ &amp;#34;op&amp;#34;: &amp;#34;replace&amp;#34;, &amp;#34;path&amp;#34;: &amp;#34;/enabled&amp;#34;, &amp;#34;value&amp;#34;: false }, { &amp;#34;op&amp;#34;: &amp;#34;replace&amp;#34;, &amp;#34;path&amp;#34;: &amp;#34;/pbxConnectionProfile/apiKey&amp;#34;, &amp;#34;value&amp;#34;: &amp;#34;newapikey&amp;#34; } ] Response#HTTP/1.</description>
    </item>
    
    <item>
      <title>Delete Customer</title>
      <link>https://docs.au.xarios.cloud/enterprise-portal/en-gb/api/reference/accounts/customers/customersdelete/</link>
      <pubDate>Mon, 01 Jan 0001 00:00:00 +0000</pubDate>
      
      <guid>https://docs.au.xarios.cloud/enterprise-portal/en-gb/api/reference/accounts/customers/customersdelete/</guid>
      <description>Delete Customer#Deactivates an existing Customer tenant and flags it for deletion.
Request# DELETE /v1.0/accounts/{ACCOUNT_TENANT_ID}/customers/{CUSTOMER_TENANT_ID}
 Errors#Unauthorised#When the token is not provided, invalid or expired HTTP/1.1 401 Unauthorised
Bad Request#When the provided account tenant or customer tenant id is not in the correct format HTTP/1.1 400 Bad Request Date: Thu, 06 Feb 2020 12:45:27 GMT Content-Type: application/json; charset=utf-8 Content-Length: 149 { &amp;#34;error&amp;#34;: 400, &amp;#34;message&amp;#34;: &amp;#34;The value &amp;#39;&amp;lt;tenant id&amp;gt;&amp;#39; is not valid.</description>
    </item>
    
  </channel>
</rss>
